<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        body{
            font: normal 20pt Arial;
        }
    </style>
</head>
<body>
    
    <script>
        //var nome = window.prompt("Qual o seu nome")
        //document.write("Seu nome tem "+nome.length+" letras<br/>")
        //document.write("Seu nome em maiusculo é " +nome.toUpperCase())
        var n1 = window.prompt("Informe um valor númerico")
        n1 = n1.replace(",",".")
        document.write(n1+"</br>")

        n1 = Number(n1)
        document.write("O valor informado foi "+n1.toFixed(2)+"</br>")

        n1 = n1.toLocaleString('pt-BR', {style: 'currency', currency: 'BRL'})
        document.write(n1)
    </script>
    
</body>
</html>